package com.dao;

import com.entity.Capital;

import java.util.List;
import java.util.Map;


public interface CapitalMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(Capital capital);

    int insertSelective(Capital capital);

    Capital selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Capital capital);

    int updateByPrimaryKeyWithBLOBs(Capital capital);

    int updateByPrimaryKey(Capital capital);

    Capital checkName(Map<String, Object> name);
    //  查询所有信息
    List<Capital> getAll(Map<String, Object> map);
    //  获取条数
    int getCount(Map<String, Object> po);
    //  分页
    List<Capital> getByPage(Map<String, Object> map);


}
